## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:               sshuttle
Version:            1.2.0
Release:            %autorelease
Summary:            Transparent Proxy VPN
Source0:            https://github.com/sshuttle/sshuttle/archive/refs/tags/v%{version}.tar.gz
URL:                https://github.com/%{name}/%{name}
# Automatically converted from old format: LGPLv2+ - review is highly recommended.
License:            LGPL-2.0-or-later
BuildArch:          noarch

BuildRequires:      make
BuildRequires:      python3-devel
BuildRequires:      texinfo
BuildRequires:      python3-sphinx

%if 0%{?fedora}
# For tests on fedora
# We don't run tests on epel due to missing requirements
# We specify tests here because upstream doesn't split them out in pyproject
BuildRequires:      python3-pytest
BuildRequires:      python3-pytest-cov
BuildRequires:      python3-pytest-mock
BuildRequires:      python3-psutil
%endif

Requires:           iptables
Requires:           openssh-clients

%description
Transparent proxy server that works as a poor man's VPN. Forwards over ssh.
Doesn't require admin. Works with Linux and MacOS. Supports DNS tunneling.

%prep
%autosetup -p1 -n %{name}-%{version}
%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

# Build docs
pushd docs
make man
make info
popd


%install
%pyproject_install
%pyproject_save_files -L sshuttle

# Install docs
pushd docs
# Man
mkdir -p %{buildroot}/%{_mandir}/man1
mv _build/man/%{name}.1 %{buildroot}/%{_mandir}/man1
# Info
mkdir -p %{buildroot}/%{_infodir}
mv _build/texinfo/%{name}.info %{buildroot}/%{_infodir}
popd


%check
%if 0%{?fedora}
%{pytest}
%endif

%files -f %{pyproject_files}
%license LICENSE
%{_mandir}/man1/%{name}.1.*
%{_infodir}/%{name}.info.*
%{_bindir}/sshuttle


%changelog
## START: Generated by rpmautospec
* Sat Feb 08 2025 Kevin Fenzi <kevin@scrye.com> - 1.2.0-2
- Convert to  %%autorelease and %%autochangelog

* Sat Feb 08 2025 Kevin Fenzi <kevin@scrye.com> - 1.2.0-1
- Update to 1.2.0. Fixes rhbz#2264789

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 1.1.1-10
- convert license to SPDX

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.1.1-8
- Rebuilt for Python 3.13

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Maxwell G <maxwell@gtmx.me> - 1.1.1-6
- Remove deprecated and unused pytest-runner dependency

* Sat Jan 13 2024 Maxwell G <maxwell@gtmx.me> - 1.1.1-5
- Remove unused python3-mock test dependency

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Kevin Fenzi <kevin@scrye.com> - 1.1.1-3
- Drop flake8 test

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Sep 13 2022 Kevin Fenzi <kevin@scrye.com> - 1.1.1-1
- Update to 1.1.1. Fixes rhbz#2124378

* Sat Jul 30 2022 Kevin Fenzi <kevin@scrye.com> - 1.1.0-5
- Disable failing test for now to fix FTBFS. rhbz#1949447

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.1.0-3
- Rebuilt for Python 3.11

* Tue Mar 29 2022 Kevin Fenzi <kevin@scrye.com> - 1.1.0-2
- Update to 1.1.0. Fixes rhbz#2047508

* Mon Jan 31 2022 Kevin Fenzi <kevin@scrye.com> - 1.1.0-1
- Update to 1.1.0. Fixes rhbz#2047508

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.0.5-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 08 2021 Tom Stellard <tstellar@redhat.com> - 1.0.5-2
- Add BuildRequires: make

* Fri Jan 01 2021 Kevin Fenzi <kevin@scrye.com> - 1.0.5-1
- Update to 1.0.5. Fixes rhbz#1911372

* Sun Aug 30 2020 Kevin Fenzi <kevin@scrye.com> - 1.0.4-1
- Update to 1.0.4. Fixes bug #1856063 Apply upstream commit to fix python2
  compat on remote side. Fixes bug #1851622

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Kevin Fenzi <kevin@scrye.com> - 1.0.2-1
- Update to 1.0.2. Fixes bug #1848196

* Fri Jun 12 2020 Kevin Fenzi <kevin@scrye.com> - 1.0.1-1
- Update to 1.0.1. Fixed bug #1844272

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 0.78.5-9
- Rebuilt for Python 3.9

* Sun May 17 2020 Kevin Fenzi <kevin@scrye.com> - 0.78.5-8
- Drop flake8 check at build time to allow epel8 building. Fixes #1757034

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 0.78.5-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 0.78.5-5
- Rebuilt for Python 3.8

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Mar 07 2019 Tim Landscheidt <tim@tim-landscheidt.de> - 0.78.5-3
- Remove obsolete requirements for %%post/%%preun scriptlets

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 30 2019 Kevin Fenzi <kevin@scrye.com> - 0.78.5-1
- Update to 0.78.5. Fixes bug #1669944

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.78.4-9
- Remove obsolete Group tag

* Sun Jan 27 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.78.4-8
- Remove obsolete scriptlets

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 0.78.4-6
- Rebuilt for Python 3.7

* Tue Apr 03 2018 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 0.78.4-5
- Simplify spec file for building with Python 3 only

* Tue Apr 03 2018 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 0.78.4-4
- Replace BR for python{2,3}-pytest-mock with python{2,3}-mock

* Tue Apr 03 2018 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 0.78.4-3
- Add BuildRequires for python{2,3}-pytest-mock

* Tue Apr 03 2018 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 0.78.4-2
- Add %%check section to spec file and run tests

* Tue Apr 03 2018 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 0.78.4-1
- Update to 0.78.4 Fix broken Source0 URL

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> - 0.78.3-3
- Update Python 2 dependency declarations to new packaging standards

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 20 2017 Kevin Fenzi <kevin@scrye.com> - 0.78.3-1
- Update to 0.78.3. Fixes bug #1468857

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 0.78.1-2
- Rebuild for Python 3.6

* Sun Sep 11 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.78.1-1
- Fix typo in version number

* Sun Sep 11 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.78.2-1
- Add sshuttle-0.78.1-pytest-runner.patch to move pytest-runner requirement
  from setup_requires to tests_requires in setup.py

* Sun Sep 11 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.78.1-3
- Replace BR for python[2,3]-pytest to python[2,3]-pytest-runner

* Sun Sep 11 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.78.1-2
- Add BR for python[2,3]-pytest

* Sun Sep 11 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.78.1-1
- Update to 0.78.1

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.78.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Mon Apr 11 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.78.0-2
- Use PyPi source tarball rather than rolling our own

* Sun Apr 10 2016 Kevin Fenzi <kevin@scrye.com> - 0.78.0-1
- Update to 0.78.0. Fixes bug #1325602
- Drop upstreamed patches

* Sat Apr 02 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.77.3-1
- Update to git snapshot
- Add patch to work with older python versions on server end

* Mon Mar 07 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.77.2-1
- Update to 0.77.2
- Use PyPi tarball instead of rolling our own from git
- Fixup typos in spec file changelog

* Sun Mar 06 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.77-6
- Build and package info file
- Use macros more consistently in spec file
- Move building of docs to %%build section of spec
- Remove the stresstest.py script

* Sat Mar 05 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.77-5
- Remove old comment from spec file

* Sat Mar 05 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.77-4
- Move to using hand-rolled tar balls rather than the github release
- Drop patch to set version manually
- Build and package man page
- BuildRequire the correct version of setuptools_scm

* Sat Mar 05 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.77-3
- Build with Python 3 on F24 too

* Sat Mar 05 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.77-2
- Use Python 3 for Fedora 25 and beyond, otherwise Python 2

* Sat Mar 05 2016 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.77-1
- Update to 0.77

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> - 0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Dennis Gilmore <dennis@ausil.us> - 0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 07 2013 Marcel Wysocki <maci@satgnu.net> - 0-1
- Initial import (#868931).
## END: Generated by rpmautospec
